;**************************************************************
;***    EMS521.ASM                                          ***
;***                                                        ***
;***    function        EMS_EmBlk.setHandleAttr40(          ***
;***                        attribute:      Word)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Set volatile (0) or non-volatile (1) attribute      ***
;***    associated with the handle.                         ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_EmBlk@setHandleAttr40

        .code

EMS_EmBlk@setHandleAttr40   proc attr:Word, handle:Far Ptr Word

        les     bx,handle
        mov     dx,es:[bx]              ; DX gets EMS handle
        mov     bx,attr                 ; BL gets attribute

        mov     ax,SetHandleAttr40      ; Make EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_EmBlk@setHandleAttr40   endp        ; End of procedure

        end                             ; End of source file
